AbstractBeanValidationInterceptor (Apache CXF JavaDoc 4.1.6 API)
Description: declaration: package: org.apache.cxf.validation, class: AbstractBeanValidationInterceptor

Package org.apache.cxf.validation

# Class AbstractBeanValidationInterceptor

java.lang.Object
org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
org.apache.cxf.validation.AbstractValidationInterceptor
org.apache.cxf.validation.AbstractBeanValidationInterceptor

All Implemented Interfaces:
  `AutoCloseable`, `Interceptor<Message>`, `PhaseInterceptor<Message>`

Direct Known Subclasses:
  `BeanValidationInInterceptor`, `ClientBeanValidationOutInterceptor`

public abstract class AbstractBeanValidationInterceptor extends AbstractValidationInterceptor

- ## Field Summary

  ### Fields inherited from class org.apache.cxf.validation.AbstractValidationInterceptor

  `BUNDLE, LOG`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractBeanValidationInterceptor(String phase)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Method`
  `getServiceMethod(Message message)`
  `protected Object`
  `getServiceObject(Message message)`
  `protected void`
  `handleValidation(Message message, Object resourceInstance, Method method, List<Object> arguments)`
  `protected List<Object>`
  `unwrapArgs(List<Object> arguments)`

  ### Methods inherited from class org.apache.cxf.validation.AbstractValidationInterceptor

  `close, getProvider, handleMessage, setProvider, setServiceObject`

  ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

  `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractBeanValidationInterceptor

    protected AbstractBeanValidationInterceptor(String phase)

- ## Method Details

  - ### getServiceObject

    protected Object getServiceObject(Message message)
    Overrides:
      `getServiceObject` in class `AbstractValidationInterceptor`

  - ### getServiceMethod

    protected Method getServiceMethod(Message message)
    Overrides:
      `getServiceMethod` in class `AbstractValidationInterceptor`

  - ### handleValidation

    protected void handleValidation(Message message, Object resourceInstance, Method method, List<Object> arguments)
    Specified by:
      `handleValidation` in class `AbstractValidationInterceptor`

  - ### unwrapArgs

    protected List<Object> unwrapArgs(List<Object> arguments)